taccuino.vo

## Class DocumentoRequestDTO

- java.lang.Object
- - taccuino.vo.DocumentoRequestDTO

- Direct Known Subclasses:
    DocumentoResponseDTO

      public class DocumentoRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `contenutoDocumento`
    `protected LocalDate` | `dataEmissione`
    `protected String` | `nomeDocumento`
    `protected String` | `noteDocumento`
    `protected String` | `provenienzaDocumento`
    `protected String` | `testoLibero`
    `protected String` | `tipoDocumento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getContenutoDocumento()`
    `LocalDate` | `getDataEmissione()`
    `String` | `getNomeDocumento()`
    `String` | `getNoteDocumento()`
    `String` | `getProvenienzaDocumento()`
    `String` | `getTestoLibero()`
    `String` | `getTipoDocumento()`
    `void` | `setContenutoDocumento(byte[] contenutoDocumento)`
    `void` | `setDataEmissione(LocalDate dataEmissione)`
    `void` | `setNomeDocumento(String nomeDocumento)`
    `void` | `setNoteDocumento(String noteDocumento)`
    `void` | `setProvenienzaDocumento(String provenienzaDocumento)`
    `void` | `setTestoLibero(String testoLibero)`
    `void` | `setTipoDocumento(String tipoDocumento)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nomeDocumento

          protected String nomeDocumento

    - #### tipoDocumento

          protected String tipoDocumento

    - #### dataEmissione

          protected LocalDate dataEmissione

    - #### testoLibero

          protected String testoLibero

    - #### provenienzaDocumento

          protected String provenienzaDocumento

    - #### noteDocumento

          protected String noteDocumento

    - #### contenutoDocumento

          protected byte[] contenutoDocumento

  - ### Constructor Detail

    - #### DocumentoRequestDTO

          public DocumentoRequestDTO()

  - ### Method Detail

    - #### getNomeDocumento

          public String getNomeDocumento()

    - #### setNomeDocumento

          public void setNomeDocumento(String nomeDocumento)

    - #### getTipoDocumento

          public String getTipoDocumento()

    - #### setTipoDocumento

          public void setTipoDocumento(String tipoDocumento)

    - #### getTestoLibero

          public String getTestoLibero()

    - #### setTestoLibero

          public void setTestoLibero(String testoLibero)

    - #### getProvenienzaDocumento

          public String getProvenienzaDocumento()

    - #### setProvenienzaDocumento

          public void setProvenienzaDocumento(String provenienzaDocumento)

    - #### getNoteDocumento

          public String getNoteDocumento()

    - #### setNoteDocumento

          public void setNoteDocumento(String noteDocumento)

    - #### getContenutoDocumento

          public byte[] getContenutoDocumento()

    - #### setContenutoDocumento

          public void setContenutoDocumento(byte[] contenutoDocumento)

    - #### getDataEmissione

          public LocalDate getDataEmissione()

    - #### setDataEmissione

          public void setDataEmissione(LocalDate dataEmissione)